#pragma once
#include <QtGui/QListWidgetItem>
#include <PerceptualState/World/CurrentWorld.h>

class TechWrapper
{
public:
  TechWrapper(const TechObject* tech)
    : m_name(QString::fromStdString(toString(tech)))
    , m_isAcquired(tech->isAcquired())
  {}
  void displayIn(QListWidgetItem* item) const
  {
    item->setText(m_name);
    if (m_isAcquired)
    {
      QFont font = item->font();
      font.setBold(true);
      item->setFont(font);
    }
  };
private:
  QString m_name;
  bool m_isAcquired;
};